Bug 77409 - RFE: change key binding for "change page" command
RFE: change key binding for "change page" command
Product: Red Hat Linux
Classification: Retired
Component: xchat (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Mike A. Harris
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-11-06 12:34 EST by Ben Levenson
Modified: 2007-03-26 23:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-30 00:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2002-11-06 12:34:00 EST
Description of Problem:

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:

Actual Results:

Expected Results:

Additional Information:
Comment 1 Ben Levenson 2002-11-06 12:35:56 EST
the current key binding for changing pages/tabs in an xchat window is not
consistent with the other tabbed applications (gnome-terminal, mozilla):
<alt>-, and <alt>+

Shouldn't the default be set to <ctl>PgUp, and <ctl>PgDown?
Comment 2 Mike A. Harris 2002-11-06 13:30:45 EST
Hmm.  Not completely sure what you mean.

One thing, for switching between tabs (tab strafing), I use ALT-TAB,
and for moving a tab I use CTRL-TAB.  I'm pretty sure I've modified
these locally from the default.  If this is what you're refering to,
I've got an evil plan to make xchat's default key bindings the ones
that I prefer.  ;o)

Any suggestions for improvements welcome.  We should get Havoc/Owen
to comment on this also.

Any xchat key defaults you'd like changed, please let me know the exact
key combo, and the exact meaning for the keystroke.
Comment 3 Owen Taylor 2002-11-06 14:38:14 EST
Control-PgUP and Control-PgDown are in fact the standard bindings for
previous/next tab.
Comment 4 Havoc Pennington 2002-11-06 14:45:46 EST
Alt+Tab is horrible, that's the standard "move between windows" keybinding on
every OS and WM ever, pretty much.
Comment 5 Mike A. Harris 2002-11-06 15:53:40 EST
Doh!!!  I goofed.  I didn't mean ALT-TAB...  I meant ALT-ARROW


For strafing between tabs like strafing at the console between VC's.

I had "TAB" stuck in my head talking about tabs.  ;o)
Comment 6 Mike A. Harris 2003-05-30 00:18:20 EDT
xchat 2 uses CTRL PGUP/PGDN for tab switching.  I think that is less than
intuitive, but if it is the standard, it is the standard....

Closing as rawhide.

Note You need to log in before you can comment on or make changes to this bug.